/*
 * Copyright (c) 2018-2999 广州亚米信息科技有限公司 All rights reserved.
 *
 * https://www.gz-yami.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.yami.shop.dao;

import java.util.List;
import java.util.Map;

import com.yami.shop.bean.model.Product;
import org.apache.ibatis.annotations.Param;

import com.yami.shop.bean.model.Sku;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

public interface SkuMapper extends BaseMapper<Sku> {

    /**
     * 批量插入sku
     *
     * @param prodId  商品id
     * @param skuList sku列表
     */
    void insertBatch(@Param("prodId") Long prodId, @Param("skuList") List<Sku> skuList);

    List<Sku> listByProdId(@Param("prodId") Long prodId);

    List<Sku> listByProdIdAndPlatform(@Param("prodId") Long prodId, @Param("platform") Integer platform, @Param("shopId") Long shopId);

    Sku listBySukIdAndPlatformShop(@Param("skuId") Long skuId, @Param("platform") Integer platform, @Param("shopId") Long shopId);
    Sku listBySukIdAndPlatform(@Param("skuId") Long skuId, @Param("platform") Integer platform);

    int updateStocks(@Param("sku") Sku sku);

    void deleteByProdId(@Param("prodId") Long prodId);

    void returnStock(@Param("skuCollect") Map<Long, Integer> skuCollect);

    /**
     * 通过海博单品编码查询商品
     *
     * @param hbSkuId 单品编码
     * @return 单品信息
     */
    Sku selectByHbSkuId(@Param("hbSkuId") String hbSkuId);


}
